import React, { PureComponent } from "react";

class LogoIcon extends PureComponent {
    render() {
        return (
            <svg
                xmlns="http://www.w3.org/2000/svg"
                width="77.27"
                height="85.016"
                viewBox="0 0 77.27 85.016"
            >
                <path
                    d="M173.145,639.35a11.693,11.693,0,0,0-.165,1.252l-5.125,12.035a9.574,9.574,0,0,1-8.755,5.7H151.17l13.372-29.314a.88.88,0,0,1,.415,0,3.832,3.832,0,0,1,.626.184c-2.009,3.116-2.306,7.45-1.469,9.743a2.84,2.84,0,0,0,1.548,1.6C167.507,641.372,170.642,640.5,173.145,639.35Z"
                    transform="translate(-151.17 -573.325)"
                    fill="currentColor"
                />
                <path
                    d="M198.391,573.063q-2.3,2.8-4.651,6.133a66.33,66.33,0,0,0-9.5,18.761A5.217,5.217,0,0,0,183,597.2a5.405,5.405,0,0,0-1.8-.461,11.788,11.788,0,0,0-4.025-4.861l21.613-47.4h1.087l8.228,18.682A71.813,71.813,0,0,0,198.391,573.063Z"
                    transform="translate(-160.046 -544.48)"
                    fill="currentColor"
                />
                <path
                    d="M255.109,653.539h-7.931a9.574,9.574,0,0,1-8.755-5.7l-1.634-3.729a13.009,13.009,0,0,0-2.128-8.293,13.208,13.208,0,0,0-2.819-3L229.32,627.1a57.548,57.548,0,0,0,7.9-10.487q.494-.889.889-1.68Z"
                    transform="translate(-177.84 -568.522)"
                    fill="currentColor"
                />
                <path
                    d="M188.173,636.977c0,.165.02.316.033.481l-.086-.382a3.477,3.477,0,0,1-.56.955l.514-1.186v-.02l.086-.185v-.02l.2-.461a4.4,4.4,0,0,1-.184.758v.059Z"
                    transform="translate(-163.589 -575.767)"
                    fill="#e09330"
                />
                <path
                    d="M188.935,640.035l-.033.151a9.274,9.274,0,0,1-.362-1.976Z"
                    transform="translate(-163.923 -576.467)"
                    fill="#e09330"
                />
                <path
                    d="M226.2,656.845c-2.5-2.174-8.853,0-13.583-2.371-3.728-1.844-6.956-6.66-5.553-7.253,5.257-2.24,6.713-6.923,9.3-6.647.25.033.58.086.955.165a13.251,13.251,0,0,1-1.37,3.906,14.766,14.766,0,0,1-1.449,2.24,6.838,6.838,0,0,1-2.042,1.765,7.149,7.149,0,0,0,2.49-1.317,15.382,15.382,0,0,0,2.042-2,15.606,15.606,0,0,0,2.49-3.926,13.448,13.448,0,0,1,3.465,1.976,16.3,16.3,0,0,1-2.668,4.071,14.4,14.4,0,0,1-2.128,2.029,7,7,0,0,1-2.635,1.37,7.4,7.4,0,0,0,2.984-.791,17.729,17.729,0,0,0,2.7-1.614,18.953,18.953,0,0,0,3.511-3.281,10.207,10.207,0,0,1,1.469,2.536,13.672,13.672,0,0,1-2.754,3.2,13.12,13.12,0,0,1-2.141,1.548,6.16,6.16,0,0,1-2.49.856,6.385,6.385,0,0,0,2.721-.283,13.958,13.958,0,0,0,2.589-1.074,16.605,16.605,0,0,0,2.7-1.8A16.412,16.412,0,0,1,226.2,656.845Z"
                    transform="translate(-170.131 -577.269)"
                    fill="#e09330"
                />
                <path
                    d="M188.439,636.961v-.033a5.1,5.1,0,0,0,.184-.758l-.2.461v.02l-.086.185v.02l.053.23.086.382a3.935,3.935,0,0,1-.033-.481C188.439,636.98,188.439,636.98,188.439,636.961Z"
                    transform="translate(-163.855 -575.771)"
                    fill="#e09330"
                />
                <path
                    d="M188.46,636.635v.02a1.367,1.367,0,0,0,.02.283,5.1,5.1,0,0,0,.184-.758Zm.448,2.707-.4-1.831a9.2,9.2,0,0,0,.362,1.976,5.22,5.22,0,0,0,.2.593Z"
                    transform="translate(-163.896 -575.774)"
                    fill="#e09330"
                />
                <path
                    d="M216.961,582.628a19.007,19.007,0,0,0,1.515-6.317,5.762,5.762,0,0,0-.382-2.029,3.455,3.455,0,0,0-1.9-1.877,4.033,4.033,0,0,0-1.285-.185c-.349.013-.646.053-.942.086a13.551,13.551,0,0,0-1.667.349,24.691,24.691,0,0,0-6.08,2.786,43.135,43.135,0,0,0-4.763,3.465,56.624,56.624,0,0,0-5.408,5.408c-1.173,1.35-2.292,2.767-3.346,4.2a.079.079,0,0,0-.013.053,86.29,86.29,0,0,0-6.08,9.578,49.763,49.763,0,0,0-4.321,10.467c-.086.283-.165.56-.231.856a26.1,26.1,0,0,0-.461,2.754,5.849,5.849,0,0,0-1.12-2.372,3.645,3.645,0,0,0-3.775-1.383.1.1,0,0,0-.066.02,10.315,10.315,0,0,0-3.5-5.112,7.065,7.065,0,0,0-.942-.626c-2.306-1.3-1.93,1.186-.758,1.469a7.727,7.727,0,0,1,1.153.349,4.133,4.133,0,0,1,.922.481,6.491,6.491,0,0,1,2.49,3.544.451.451,0,0,1,.033.086,4.584,4.584,0,0,0-1.14.56,10.133,10.133,0,0,0-3.3-2.47,7.54,7.54,0,0,0-2.292-.626c-2.273-.25-1.074,1.634-.053,1.436a5.24,5.24,0,0,1,1.91-.053c.02,0,.053.02.066.02a5.765,5.765,0,0,1,3.182,1.976.035.035,0,0,0,.033.033c-2.754,2.273-3.333,7.187-2.536,9.282.527,1.416,6.1-.349,8.636-2.306a2.727,2.727,0,0,0,.329-.3l.514-1.186v-.02l.086-.184v-.02l.2-.461a4.39,4.39,0,0,1-.184.758v.053c0,.165.02.316.033.481v.053l.4,1.831.165.745v.033a6.2,6.2,0,0,0,2.306,3.07.564.564,0,0,0,.744-.132.548.548,0,0,0-.086-.777,6.341,6.341,0,0,1-1.93-4.862,18.158,18.158,0,0,1,.909-5.586,46.277,46.277,0,0,1,4.861-10.566,87.646,87.646,0,0,1,8.524-11.982,55.522,55.522,0,0,1,6.133-6.067,35.835,35.835,0,0,1,3.992-2.951,22.948,22.948,0,0,1,5.639-2.734,9.763,9.763,0,0,1,1.252-.3,3.665,3.665,0,0,1,.56-.066,1.037,1.037,0,0,1,.184-.013l.02.013a.437.437,0,0,1,.132.165,2.6,2.6,0,0,1,.165.889,16.636,16.636,0,0,1-1.14,5.277,63.3,63.3,0,0,1-2.622,6.3c-.692,1.482-1.449,2.964-2.207,4.42-.217.415-.428.823-.659,1.238-.02,0-.033.02-.053.02a40.739,40.739,0,0,0-5.487,2.767c-.527.316-1.041.646-1.548.975a44.226,44.226,0,0,0-7.931,6.811,42.339,42.339,0,0,0-3.827,4.815,15.875,15.875,0,0,0-2.536,5.948,5.541,5.541,0,0,0-.066,1.93,2.621,2.621,0,0,0,.692,1.383,2.127,2.127,0,0,0,1.667.527,4.45,4.45,0,0,0,1.864-.659,15.655,15.655,0,0,0,1.383-.823,28.279,28.279,0,0,0,4.763-3.992,66.814,66.814,0,0,0,7.121-8.768c.165-.231.329-.481.494-.711,1.812-2.721,3.544-5.487,5.145-8.326a5.174,5.174,0,0,1,.56-.217,6.913,6.913,0,0,1,1.153-.415c.58-.053.744.033.975.646a5.09,5.09,0,0,1-.1,2.371,14.7,14.7,0,0,1-.909,2.635,29.235,29.235,0,0,1-2.786,5.026c-.81,1.173-1.68,2.292-2.6,3.379a55.52,55.52,0,0,1-5.224,5.342,51.263,51.263,0,0,1-4.552,3.728,15.969,15.969,0,0,1-5.079,2.688h-.053a.4.4,0,0,0-.3.448.4.4,0,0,0,.448.316,16.343,16.343,0,0,0,5.586-2.5,52.263,52.263,0,0,0,4.914-3.544,58.656,58.656,0,0,0,5.046-4.7,46.331,46.331,0,0,0,3.412-3.992,27.87,27.87,0,0,0,3.168-5.309,17.444,17.444,0,0,0,1.087-2.984,9.39,9.39,0,0,0,.283-1.713v-.02a5.364,5.364,0,0,0-.132-1.779,3.178,3.178,0,0,0-1.271-1.877.883.883,0,0,0-.263-.152,2.9,2.9,0,0,0-1.713-.362c.3-.527.58-1.054.856-1.581C214.471,588.247,215.808,585.513,216.961,582.628Zm-13.142,19.419v.02c-.1.165-.2.316-.316.481a60.145,60.145,0,0,1-7.4,9.064,27.654,27.654,0,0,1-4.42,3.6,9.522,9.522,0,0,1-1.205.679,5.632,5.632,0,0,1-.56.283,4.1,4.1,0,0,1,.086-.758,13.344,13.344,0,0,1,2.194-4.914,45.257,45.257,0,0,1,3.6-4.532,42.355,42.355,0,0,1,7.042-6.166c.593-.448,1.206-.843,1.831-1.238.692-.448,1.416-.856,2.141-1.252Q205.4,599.722,203.819,602.048Z"
                    transform="translate(-156.917 -553.947)"
                    fill="#e09330"
                />
                <path
                    d="M226.2,656.845c-2.5-2.174-8.853,0-13.583-2.371-3.728-1.844-6.956-6.66-5.553-7.253,5.257-2.24,6.713-6.923,9.3-6.647.25.033.58.086.955.165a13.251,13.251,0,0,1-1.37,3.906,14.766,14.766,0,0,1-1.449,2.24,6.838,6.838,0,0,1-2.042,1.765,7.149,7.149,0,0,0,2.49-1.317,15.382,15.382,0,0,0,2.042-2,15.606,15.606,0,0,0,2.49-3.926,13.448,13.448,0,0,1,3.465,1.976,16.3,16.3,0,0,1-2.668,4.071,14.4,14.4,0,0,1-2.128,2.029,7,7,0,0,1-2.635,1.37,7.4,7.4,0,0,0,2.984-.791,17.729,17.729,0,0,0,2.7-1.614,18.953,18.953,0,0,0,3.511-3.281,10.207,10.207,0,0,1,1.469,2.536,13.672,13.672,0,0,1-2.754,3.2,13.12,13.12,0,0,1-2.141,1.548,6.16,6.16,0,0,1-2.49.856,6.385,6.385,0,0,0,2.721-.283,13.958,13.958,0,0,0,2.589-1.074,16.605,16.605,0,0,0,2.7-1.8A16.412,16.412,0,0,1,226.2,656.845Z"
                    transform="translate(-170.131 -577.269)"
                    fill="#e09330"
                />
                <path
                    d="M188.347,636.17a4.394,4.394,0,0,1-.184.758v.053c-.02.033-.033.066-.053.1a3.477,3.477,0,0,1-.56.955l.514-1.186v-.02l.086-.185v-.02Z"
                    transform="translate(-163.585 -575.771)"
                    fill="#e09330"
                />
            </svg>
        );
    }
}

export default LogoIcon;
